/*
 *  Localisation.h
 *  Hubschrauber
 *
 *  Created by Torsten on 17.09.06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include <string>
#include <map>

namespace OS
{

std::wstring ReadUTF16File(const char *filename);

class Localisator
{
	private:
	std::map<std::pair<std::wstring, std::wstring>, std::wstring> strings;
	Localisator();
	
	public:
	static Localisator *StandardLocalisator();
	
	std::wstring &getString(std::wstring key, std::wstring context);
};

}